import _extends from "@babel/runtime/helpers/extends";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import { ChunkType } from '@alilc/lowcode-code-generator';
import { VUE_CHUNK_NAME } from './const';
var pluginFactory = function pluginFactory() {
  var plugin = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(pre) {
      var _ir$dataSource;
      var next, ir, _ref2, list, apis, mockContent;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = _extends({}, pre);
            ir = next.ir;
            _ref2 = (_ir$dataSource = ir.dataSource) !== null && _ir$dataSource !== void 0 ? _ir$dataSource : {
              list: []
            }, list = _ref2.list;
            if (list.length) {
              _context.next = 5;
              break;
            }
            return _context.abrupt("return", next);
          case 5:
            apis = '';
            list.forEach(function (item) {
              var _options$uri$toString;
              var options = item.options,
                id = item.id;
              var url = (_options$uri$toString = options === null || options === void 0 ? void 0 : options.uri.toString()) !== null && _options$uri$toString !== void 0 ? _options$uri$toString : 'url';
              apis += "'" + url + "':{\n        mock: " + id + ",\n        url:'" + url + "',\n        options:" + JSON.stringify(options) + ",\n      },";
            });
            mockContent = function mockContent() {
              var content = "\n const fetch = async(url,mock=true) => {\n        if(mock){\n          return Promise.resolve(apis[url].mock).then(res => {\n            let data = JSON.parse(JSON.stringify(res.value))\n            return data\n          })\n        }\n        const res =await window.fetch(apis[url].url, apis[url].options)\n       return res.json();\n     };";
              return "const apis = {" + apis + "}" + content;
            };
            next.chunks.push({
              type: ChunkType.STRING,
              fileType: 'vue',
              name: VUE_CHUNK_NAME.ScriptMockApi,
              content: mockContent(),
              linkAfter: [VUE_CHUNK_NAME.ScriptStart, VUE_CHUNK_NAME.ScriptVueImp, VUE_CHUNK_NAME.ScriptInitState]
            });
            return _context.abrupt("return", next);
          case 10:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
export default pluginFactory;