import template from './template';
import packageJSON from './plugins/packageJSON';
import entryHtml from './plugins/entryHtml';
import entry from './plugins/entry';
import mainCss from './plugins/mainCss';
import app from './plugins/app';
import router from './plugins/router';
export default {
  template: template,
  plugins: {
    packageJSON: packageJSON,
    entryHtml: entryHtml,
    entry: entry,
    app: app,
    router: router,
    mainCss: mainCss
  }
};