"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const template_1 = tslib_1.__importDefault(require("./template"));
const packageJSON_1 = tslib_1.__importDefault(require("./plugins/packageJSON"));
const entryHtml_1 = tslib_1.__importDefault(require("./plugins/entryHtml"));
const entry_1 = tslib_1.__importDefault(require("./plugins/entry"));
const mainCss_1 = tslib_1.__importDefault(require("./plugins/mainCss"));
const app_1 = tslib_1.__importDefault(require("./plugins/app"));
const router_1 = tslib_1.__importDefault(require("./plugins/router"));
exports.default = {
    template: template_1.default,
    plugins: {
        packageJSON: packageJSON_1.default,
        entryHtml: entryHtml_1.default,
        entry: entry_1.default,
        app: app_1.default,
        router: router_1.default,
        mainCss: mainCss_1.default,
    },
};
//# sourceMappingURL=index.js.map