"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const lowcode_code_generator_1 = require("@alilc/lowcode-code-generator");
const pluginFactory = () => {
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        next.chunks.push({
            type: lowcode_code_generator_1.ChunkType.STRING,
            fileType: 'vue',
            name: lowcode_code_generator_1.COMMON_CHUNK_NAME.ExternalDepsImport,
            content: `
      <script setup>
      import { RouterView } from 'vue-router'
      </script>

      <template>
        <RouterView />
      </template>
      `,
            linkAfter: [],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=app.js.map