"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _lowcodeCodeGenerator = require("@alilc/lowcode-code-generator");
var pluginFactory = function pluginFactory(config) {
  var cfg = (0, _extends2["default"])({
    fileType: _lowcodeCodeGenerator.FileType.JSX
  }, config);
  var plugin = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(pre) {
      var _ir$methodsModule, _ir$methodsModule2;
      var next, ir;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = (0, _extends2["default"])({}, pre);
            ir = next.ir;
            if (!(((_ir$methodsModule = ir.methodsModule) === null || _ir$methodsModule === void 0 ? void 0 : _ir$methodsModule.type) !== 'JSModule' || !((_ir$methodsModule2 = ir.methodsModule) !== null && _ir$methodsModule2 !== void 0 && _ir$methodsModule2.source))) {
              _context.next = 4;
              break;
            }
            return _context.abrupt("return", next);
          case 4:
            // 创建 methods.jsx
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              subModule: 'methods',
              fileType: cfg.fileType,
              name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.CustomContent,
              content: ir.methodsModule.source,
              linkAfter: []
            });

            // 引入对应的模块
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: cfg.fileType,
              name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.InternalDepsImport,
              content: "import __$$methodsModule from './methods';",
              linkAfter: [].concat(_lowcodeCodeGenerator.DEFAULT_LINK_AFTER[_lowcodeCodeGenerator.COMMON_CHUNK_NAME.InternalDepsImport])
            });

            // 将导出的东东都放到 class 上实例方法部分
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: cfg.fileType,
              name: _lowcodeCodeGenerator.CLASS_DEFINE_CHUNK_NAME.ConstructorContent,
              content: 'Object.assign(this, __$$methodsModule);',
              linkAfter: [].concat(_lowcodeCodeGenerator.DEFAULT_LINK_AFTER[_lowcodeCodeGenerator.CLASS_DEFINE_CHUNK_NAME.ConstructorContent])
            });
            return _context.abrupt("return", next);
          case 8:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
var _default = pluginFactory;
exports["default"] = _default;