import _extends from "@babel/runtime/helpers/extends";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import { COMMON_CHUNK_NAME, ChunkType, FileType } from '@alilc/lowcode-code-generator';
var pluginFactory = function pluginFactory() {
  var plugin = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(pre) {
      var next;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = _extends({}, pre);
            next.chunks.push({
              type: ChunkType.STRING,
              fileType: FileType.JS,
              name: COMMON_CHUNK_NAME.ExternalDepsImport,
              content: "\n      import '../assets/main.css'\n\n      import ElementPlus from 'element-plus'\n      import 'element-plus/dist/index.css'\n      import { createApp } from 'vue'\n      import App from './App.vue'\n      import router from './router'\n      ",
              linkAfter: []
            });
            next.chunks.push({
              type: ChunkType.STRING,
              fileType: FileType.JS,
              name: COMMON_CHUNK_NAME.FileMainContent,
              content: "\n      const app = createApp(App)\n\n      app.use(ElementPlus)\n      \n      app.use(router)\n      \n      app.mount('#app')\n      ",
              linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport, COMMON_CHUNK_NAME.InternalDepsImport, COMMON_CHUNK_NAME.ImportAliasDefine, COMMON_CHUNK_NAME.FileVarDefine, COMMON_CHUNK_NAME.FileUtilDefine]
            });
            return _context.abrupt("return", next);
          case 4:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
export default pluginFactory;