"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const lowcode_code_generator_1 = tslib_1.__importDefault(require("@alilc/lowcode-code-generator"));
const { createResultFile } = lowcode_code_generator_1.default.utils.resultHelper;
function getFile() {
    const file = createResultFile('.eslintrc', 'cjs', `
/* eslint-env node */
require('@rushstack/eslint-patch/modern-module-resolution')

module.exports = {
  root: true,
  'extends': [
    'plugin:vue/vue3-essential',
    'eslint:recommended',
    '@vue/eslint-config-prettier/skip-formatting'
  ],
  parserOptions: {
    ecmaVersion: 'latest'
  }
}
    
    
    `);
    return [[], file];
}
exports.default = getFile;
//# sourceMappingURL=eslintrc.cjs.js.map