"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const lowcode_code_generator_1 = tslib_1.__importDefault(require("@alilc/lowcode-code-generator"));
const { createResultFile } = lowcode_code_generator_1.default.utils.resultHelper;
function getFile() {
    const file = createResultFile('.prettierrc', 'json', `
{
  "$schema": "https://json.schemastore.org/prettierrc",
  "semi": false,
  "tabWidth": 2,
  "singleQuote": true,
  "printWidth": 100,
  "trailingComma": "none"
}
    
    `);
    return [[], file];
}
exports.default = getFile;
//# sourceMappingURL=prettierrc.json.js.map