"use strict";

exports.__esModule = true;
exports.isSimpleStraightLiteral = isSimpleStraightLiteral;
/** 判断是非是一些简单直接的字面值 */
function isSimpleStraightLiteral(expr) {
  switch (expr.type) {
    case 'BigIntLiteral':
    case 'BooleanLiteral':
    case 'DecimalLiteral':
    case 'NullLiteral':
    case 'NumericLiteral':
    case 'RegExpLiteral':
    case 'StringLiteral':
      return true;
    default:
      return false;
  }
}