"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _lowcodeCodeGenerator = require("@alilc/lowcode-code-generator");
var _const = require("./const");
var pluginFactory = function pluginFactory(config) {
  var cfg = (0, _extends2["default"])({
    fileType: 'vue'
  }, config);
  var plugin = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(pre) {
      var next, ir;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = (0, _extends2["default"])({}, pre);
            ir = next.ir;
            if (ir.css) {
              _context.next = 4;
              break;
            }
            return _context.abrupt("return", next);
          case 4:
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: cfg.fileType,
              name: _const.VUE_CHUNK_NAME.StyleContent,
              content: ir.css,
              linkAfter: (0, _const.linkAfter)(_const.VUE_CHUNK_NAME.StyleContent)
            });
            return _context.abrupt("return", next);
          case 6:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
var _default = pluginFactory;
exports["default"] = _default;