"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _lowcodeCodeGenerator = require("@alilc/lowcode-code-generator");
var pluginFactory = function pluginFactory() {
  var plugin = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(pre) {
      var next;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = (0, _extends2["default"])({}, pre);
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: _lowcodeCodeGenerator.FileType.JS,
              name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.ExternalDepsImport,
              content: "\n      import '../assets/main.css'\n\n      import ElementPlus from 'element-plus'\n      import 'element-plus/dist/index.css'\n      import { createApp } from 'vue'\n      import App from './App.vue'\n      import router from './router'\n      ",
              linkAfter: []
            });
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: _lowcodeCodeGenerator.FileType.JS,
              name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileMainContent,
              content: "\n      const app = createApp(App)\n\n      app.use(ElementPlus)\n      \n      app.use(router)\n      \n      app.mount('#app')\n      ",
              linkAfter: [_lowcodeCodeGenerator.COMMON_CHUNK_NAME.ExternalDepsImport, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.InternalDepsImport, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.ImportAliasDefine, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileVarDefine, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileUtilDefine]
            });
            return _context.abrupt("return", next);
          case 4:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
var _default = pluginFactory;
exports["default"] = _default;